package cz.moneta.test.dsl.ufo.banka.pages.loans;

import cz.moneta.test.dsl.ufo.banka.pages.common.pages.PSI001_S050_PreContractualInfromationPrintedPage;
import cz.moneta.test.dsl.ufo.banka.pages.loans.expres.NEP006_S001_ExpressScoringResultPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.PSP004_S001_PrintPage;
import cz.moneta.test.dsl.ufo.banka.pages.main.client.settings.VDB001_S001_SecondBankerJoiningPage;
import cz.moneta.test.harness.support.web.WebFlow;

public interface NEP017_S014_SelectApprovedVariantsPageTransitions extends WebFlow<NEP017_S014_SelectApprovedVariantsPageTransitions> {

    CAS001_S001_ScoringPage onScoringPage();

    PSI001_S050_PreContractualInfromationPrintedPage onPreContractualInfromationPrintedPag();

    PSP004_S001_PrintPage onPrintPage();

    NEP006_S001_ExpressScoringResultPage onMegaExpressRequestPage();

    VDB001_S001_SecondBankerJoiningPage onSecondBankerJoiningPage();

}
